Main
Evil

This header provides functions to initialize and shut down the Evil library. More...

## Functions

EVIL_API int | evil_init (void)
| Initialize the Evil library.
EVIL_API int | evil_shutdown (void)
| Shut down the Evil library.

## Detailed Description

This header provides functions to initialize and shut down the Evil library.

## Function Documentation

## evil_init()

EVIL_API int evil_init | ( | void |  | ) |

Initialize the Evil library.

This function initializes the Evil library. It must be called before using evil_time_get() or pipe(). It returns 0 on failure, otherwise it returns the number of times it has already been called.

When Evil is not used anymore, call evil_shutdown() to shut down the Evil library.

References evil_sockets_init().

Referenced by ecore_con_init(), ecore_init(), and evas_init().

## evil_shutdown()

EVIL_API int evil_shutdown | ( | void |  | ) |

Shut down the Evil library.

Returns
  0 when the Evil library is completely shut down, 1 or greater otherwise.

This function shuts down the Evil library. It returns 0 when it has been called the same number of times than evil_init().

Once this function succeeds (that is, `0` is returned), you must not call any of the Evil function listed in evil_init() documentation anymore . You must call evil_init() again to use these functions again.

References evil_sockets_shutdown().

Referenced by ecore_con_init(), ecore_con_shutdown(), ecore_init(), ecore_shutdown(), evas_init(), and evas_shutdown().